<?php

$dal_info = array();

/**
 * User API function
 * @param String sql
 */
function UsersTableName()
{
	global $cman;
	$connection = $cman->getForLogin();
	return $connection->addTableWrappers("system_user");
}

/**
 * User API function
 * It uses the default db connection
 * @param String dalSQL
 */
function CustomQuery($dalSQL)
{
	$connection = getDefaultConnection();
	$result = $connection->query( $dalSQL );
	if($result)
		return $result;
}

/**
 * User API function
 * It uses the default db connection 
 * @param String sql
 */
function DBLookup($sql)
{
	$connection = getDefaultConnection();
	$data = $connection->query( $sql )->fetchAssoc();

	if( $data )
		return reset($data);
	  
	return null;
}

/**
  * Data Access Layer.
  */
class tDAL
{
	var $tblTables__accessories;
	var $tblTables__account_classification;
	var $tblTables__account_general_classification;
	var $tblTables__account_type;
	var $tblTables__accounting_period;
	var $tblTables__aging_ap;
	var $tblTables__aging_ar;
	var $tblTables__approval_alerts;
	var $tblTables__approver_list;
	var $tblTables__area;
	var $tblTables__asset_accountability;
	var $tblTables__asset_accountability_detail;
	var $tblTables__attendance;
	var $tblTables__attendance_report;
	var $tblTables__backload;
	var $tblTables__backload_detail;
	var $tblTables__bal_cashpayment;
	var $tblTables__bal_cashreceipt;
	var $tblTables__bal_invoice_credit_memo;
	var $tblTables__bal_purchase_debit_memo;
	var $tblTables__bal_purchase_head_debit_memo;
	var $tblTables__bal_purchase_order_detail;
	var $tblTables__bal_sales_credit_memo;
	var $tblTables__bal_sales_detail;
	var $tblTables__bal_sales_order_detail;
	var $tblTables__bal_total_po_detail;
	var $tblTables__bank;
	var $tblTables__bank_collection;
	var $tblTables__bank_disbursement;
	var $tblTables__bank_list;
	var $tblTables__barangay;
	var $tblTables__basic_system_audit;
	var $tblTables__beg_bal;
	var $tblTables__beg_baldetail;
	var $tblTables__branch_sales;
	var $tblTables__branch_sales_detail;
	var $tblTables__budget;
	var $tblTables__budget_detail;
	var $tblTables__business_partner;
	var $tblTables__business_partner_contacts;
	var $tblTables__business_partner_group;
	var $tblTables__calls;
	var $tblTables__campaign;
	var $tblTables__campaign_type;
	var $tblTables__tblcase;
	var $tblTables__case_solutions;
	var $tblTables__case_type;
	var $tblTables__cash_disbursement_detail2;
	var $tblTables__cash_disbursment;
	var $tblTables__cash_disbursment_detail;
	var $tblTables__cash_pullout;
	var $tblTables__cash_pullout_detail;
	var $tblTables__cash_receipt;
	var $tblTables__cash_receipt_cost_detail;
	var $tblTables__cash_receipt_detail;
	var $tblTables__cash_receipt_detail2;
	var $tblTables__center_replenishment;
	var $tblTables__center_replenishment_detail;
	var $tblTables__chart_of_accounts;
	var $tblTables__check_book_registry;
	var $tblTables__check_book_registry_detail;
	var $tblTables__check_formats;
	var $tblTables__checklist;
	var $tblTables__city;
	var $tblTables__company_info;
	var $tblTables__competitor;
	var $tblTables__cost_center;
	var $tblTables__credit_memo;
	var $tblTables__credit_memo_detail;
	var $tblTables__credit_memo_detail_cgs;
	var $tblTables__credit_terms;
	var $tblTables__currency;
	var $tblTables__currency_exchange_rate;
	var $tblTables__customer_shipping_address;
	var $tblTables__debit_memo;
	var $tblTables__debit_memo_detail;
	var $tblTables__demand_plan;
	var $tblTables__department;
	var $tblTables__deposit;
	var $tblTables__deposit_detail;
	var $tblTables__discounts;
	var $tblTables__disposed;
	var $tblTables__disposed_detail;
	var $tblTables__disposed_inv;
	var $tblTables__disposed_inv_detail;
	var $tblTables__document;
	var $tblTables__document_type;
	var $tblTables__dr;
	var $tblTables__dr_detail;
	var $tblTables__email;
	var $tblTables__employees;
	var $tblTables__estimate;
	var $tblTables__estimate_cost;
	var $tblTables__estimate_detail;
	var $tblTables__ewt;
	var $tblTables__excise_tax;
	var $tblTables__expense;
	var $tblTables__financial_statement;
	var $tblTables__fiscal_year;
	var $tblTables__fixed_asset_issue;
	var $tblTables__fixed_asset_issue_detail;
	var $tblTables__fixed_asset_return_detail;
	var $tblTables__fixed_asset_time_usage;
	var $tblTables__fixed_asset_time_usage_detail;
	var $tblTables__fixed_assets_return;
	var $tblTables__foodbasket_uggroups;
	var $tblTables__foodbasket_ugmembers;
	var $tblTables__foodbasket_ugrights;
	var $tblTables__for_submissions;
	var $tblTables__gas_type;
	var $tblTables__general_journal;
	var $tblTables__general_journal_detail;
	var $tblTables__import_inv_adj;
	var $tblTables__import_inventory_transfer;
	var $tblTables__import_sales;
	var $tblTables__input_vat_allocation;
	var $tblTables__inv_adj_detail;
	var $tblTables__inv_bal;
	var $tblTables__inv_balance;
	var $tblTables__inv_fifo;
	var $tblTables__inv_inv_production_fg;
	var $tblTables__inv_inv_production_rw;
	var $tblTables__inv_inv_purchase;
	var $tblTables__inv_ledger;
	var $tblTables__inventory_adj;
	var $tblTables__inventory_adjustment_type;
	var $tblTables__inventory_tranfer;
	var $tblTables__inventory_tranfer_request;
	var $tblTables__inventory_transfer__request_detail;
	var $tblTables__inventory_transfer_cost_detail;
	var $tblTables__inventory_transfer_detail;
	var $tblTables__issue;
	var $tblTables__issue_component_imp;
	var $tblTables__issue_components;
	var $tblTables__issue_components_detail;
	var $tblTables__issue_detail;
	var $tblTables__item;
	var $tblTables__item_bill_of_materials;
	var $tblTables__item_bom_type;
	var $tblTables__item_cost_center_detail;
	var $tblTables__item_cost_recalculation;
	var $tblTables__item_expiration;
	var $tblTables__item_group;
	var $tblTables__item_group_price_per_category;
	var $tblTables__item_price_per_category;
	var $tblTables__item_production_phase;
	var $tblTables__item_uom_conversion;
	var $tblTables__journal_entry_cash_disbursement;
	var $tblTables__journal_entry_cash_receipt;
	var $tblTables__journal_entry_center_replenishment;
	var $tblTables__journal_entry_credit_memo;
	var $tblTables__journal_entry_debit_memo;
	var $tblTables__journal_entry_deposit;
	var $tblTables__journal_entry_depreciation;
	var $tblTables__journal_entry_general_journal;
	var $tblTables__journal_entry_inv_transfer;
	var $tblTables__journal_entry_inventory_adjustment;
	var $tblTables__journal_entry_production;
	var $tblTables__journal_entry_project_replenishment;
	var $tblTables__journal_entry_purchases;
	var $tblTables__journal_entry_replenishment;
	var $tblTables__journal_entry_sales;
	var $tblTables__journal_entry_service_revenue;
	var $tblTables__journal_ppe_disposal;
	var $tblTables__liquidation;
	var $tblTables__liquidation_detail;
	var $tblTables__loan;
	var $tblTables__loan__detail;
	var $tblTables__location;
	var $tblTables__lot;
	var $tblTables__loyalty_points;
	var $tblTables__marketing_colateral;
	var $tblTables__marketing_job_order;
	var $tblTables__marketing_request_form;
	var $tblTables__meetings;
	var $tblTables__memorized_transactions;
	var $tblTables__month_values;
	var $tblTables__new_ticket;
	var $tblTables__new_user;
	var $tblTables__open_backload;
	var $tblTables__open_dr_for_invoice;
	var $tblTables__open_estimates;
	var $tblTables__open_po;
	var $tblTables__open_pr;
	var $tblTables__open_production_request;
	var $tblTables__open_qc;
	var $tblTables__open_quote;
	var $tblTables__open_receiving;
	var $tblTables__open_request_for_payment;
	var $tblTables__open_rfp_to_apv;
	var $tblTables__open_so;
	var $tblTables__open_so_for_invoice;
	var $tblTables__open_so_for_project_management;
	var $tblTables__opportunity;
	var $tblTables__origin_fa;
	var $tblTables__origin_serialized_supply;
	var $tblTables__packing_list;
	var $tblTables__packing_list_detail;
	var $tblTables__payment_method;
	var $tblTables__payroll_item;
	var $tblTables__pdc_registry;
	var $tblTables__pending_items_reminders;
	var $tblTables__petty_cash;
	var $tblTables__petty_cash_detail;
	var $tblTables__phase;
	var $tblTables__phase_bill_of_materials;
	var $tblTables__phase_billing;
	var $tblTables__picklist;
	var $tblTables__picklist_detail;
	var $tblTables__picklist_detail_done;
	var $tblTables__position;
	var $tblTables__ppe_list;
	var $tblTables__process_payroll;
	var $tblTables__process_payroll_detail;
	var $tblTables__prod_vs_purchase;
	var $tblTables__production;
	var $tblTables__production__imp;
	var $tblTables__production_bill_of_material;
	var $tblTables__production_bom;
	var $tblTables__production_cost_detail;
	var $tblTables__production_detail;
	var $tblTables__production_form;
	var $tblTables__production_itemized_detail;
	var $tblTables__production_request;
	var $tblTables__production_request_bom;
	var $tblTables__production_request_detail;
	var $tblTables__production_stage_cost_detail;
	var $tblTables__production_stage_status_cost_detail;
	var $tblTables__production_stage_status_detail;
	var $tblTables__project_bill_of_material;
	var $tblTables__project_progress_billing;
	var $tblTables__project_replenishment;
	var $tblTables__project_replenishment_detail;
	var $tblTables__projects;
	var $tblTables__province;
	var $tblTables__purchase;
	var $tblTables__purchase_detail;
	var $tblTables__purchase_order;
	var $tblTables__purchase_order_detail;
	var $tblTables__purchase_order_receiving;
	var $tblTables__purchase_order_receiving_detail;
	var $tblTables__purchase_report_per_item;
	var $tblTables__purchase_request;
	var $tblTables__purchase_request_detail;
	var $tblTables__qc_inspection;
	var $tblTables__quality_control;
	var $tblTables__quality_control_detail;
	var $tblTables__quotation;
	var $tblTables__quotation_detail;
	var $tblTables__rdo;
	var $tblTables__region;
	var $tblTables__reimbursement;
	var $tblTables__reimbursement_detail;
	var $tblTables__repair_list;
	var $tblTables__repairs_and_maintenance;
	var $tblTables__repairs_and_maintenance_detail;
	var $tblTables__repairs_particular;
	var $tblTables__report_center;
	var $tblTables__request_for_payment;
	var $tblTables__request_for_payment_detail;
	var $tblTables__request_for_payment_imp;
	var $tblTables__request_for_quote;
	var $tblTables__request_for_quoter_detail;
	var $tblTables__tblreturn;
	var $tblTables__return_components;
	var $tblTables__return_components_detail;
	var $tblTables__return_detail;
	var $tblTables__rfp;
	var $tblTables__sale_assemble_detail;
	var $tblTables__sale_cost_detail;
	var $tblTables__sales;
	var $tblTables__sales_detail;
	var $tblTables__sales_order;
	var $tblTables__sales_order_detail;
	var $tblTables__sales_order_detail_billing_dates;
	var $tblTables__sales_order_materials_detail;
	var $tblTables__sales_order_progress_billing_detail;
	var $tblTables__sales_report_per_item;
	var $tblTables__salesapp;
	var $tblTables__search_beg_bal;
	var $tblTables__search_cash_disbursement;
	var $tblTables__search_cash_receipt;
	var $tblTables__search_general_journal;
	var $tblTables__search_purchase_detail;
	var $tblTables__serial_no;
	var $tblTables__serialized_supply_list;
	var $tblTables__service_center;
	var $tblTables__service_report;
	var $tblTables__service_report_detail;
	var $tblTables__service_visit;
	var $tblTables__shipping_terms;
	var $tblTables__so_imp;
	var $tblTables__spoilage;
	var $tblTables__spoilage_detail;
	var $tblTables__spoilage_detail2;
	var $tblTables__stage;
	var $tblTables__submission_details;
	var $tblTables__sum_cr;
	var $tblTables__sum_creditmemo;
	var $tblTables__sum_cvoucher;
	var $tblTables__sum_debitmemo;
	var $tblTables__sum_dr_qty;
	var $tblTables__system_user;
	var $tblTables__tara_sheet;
	var $tblTables__tara_sheet_detail;
	var $tblTables__tasks;
	var $tblTables__tax_person_status;
	var $tblTables__tax_status;
	var $tblTables__tbtransact;
	var $tblTables__telex;
	var $tblTables__tranasactions_for_approval;
	var $tblTables__transmittal_slip;
	var $tblTables__transmittal_slip_detail;
	var $tblTables__trip_detail;
	var $tblTables__trip_ticket;
	var $tblTables__uom;
	var $tblTables__user_roles;
	var $tblTables__vat_atc;
	var $tblTables__vat_relief_importation;
	var $tblTables__vat_relief_purchases;
	var $tblTables__vat_relief_sales;
	var $tblTables__vat_type;
	var $tblTables__vehicle;
	var $tblTables__waranty_detail;
	var $tblTables__years;
	var $lstTables;
	var $Table = array();

	function FillTablesList()
	{
		if($this->lstTables)
			return;
		$this->lstTables[] = array("name" => "accessories", "varname" => "Tables__accessories", "altvarname" => "accessories", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "account_classification", "varname" => "Tables__account_classification", "altvarname" => "account_classification", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "account_general_classification", "varname" => "Tables__account_general_classification", "altvarname" => "account_general_classification", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "account_type", "varname" => "Tables__account_type", "altvarname" => "account_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "accounting_period", "varname" => "Tables__accounting_period", "altvarname" => "accounting_period", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "aging_ap", "varname" => "Tables__aging_ap", "altvarname" => "aging_ap", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "aging_ar", "varname" => "Tables__aging_ar", "altvarname" => "aging_ar", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "approval_alerts", "varname" => "Tables__approval_alerts", "altvarname" => "approval_alerts", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "approver_list", "varname" => "Tables__approver_list", "altvarname" => "approver_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "area", "varname" => "Tables__area", "altvarname" => "area", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "asset_accountability", "varname" => "Tables__asset_accountability", "altvarname" => "asset_accountability", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "asset_accountability_detail", "varname" => "Tables__asset_accountability_detail", "altvarname" => "asset_accountability_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "attendance", "varname" => "Tables__attendance", "altvarname" => "attendance", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "attendance_report", "varname" => "Tables__attendance_report", "altvarname" => "attendance_report", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "backload", "varname" => "Tables__backload", "altvarname" => "backload", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "backload_detail", "varname" => "Tables__backload_detail", "altvarname" => "backload_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_cashpayment", "varname" => "Tables__bal_cashpayment", "altvarname" => "bal_cashpayment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_cashreceipt", "varname" => "Tables__bal_cashreceipt", "altvarname" => "bal_cashreceipt", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_invoice_credit_memo", "varname" => "Tables__bal_invoice_credit_memo", "altvarname" => "bal_invoice_credit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_purchase_debit_memo", "varname" => "Tables__bal_purchase_debit_memo", "altvarname" => "bal_purchase_debit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_purchase_head_debit_memo", "varname" => "Tables__bal_purchase_head_debit_memo", "altvarname" => "bal_purchase_head_debit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_purchase_order_detail", "varname" => "Tables__bal_purchase_order_detail", "altvarname" => "bal_purchase_order_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_sales_credit_memo", "varname" => "Tables__bal_sales_credit_memo", "altvarname" => "bal_sales_credit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_sales_detail", "varname" => "Tables__bal_sales_detail", "altvarname" => "bal_sales_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_sales_order_detail", "varname" => "Tables__bal_sales_order_detail", "altvarname" => "bal_sales_order_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bal_total_po_detail", "varname" => "Tables__bal_total_po_detail", "altvarname" => "bal_total_po_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bank", "varname" => "Tables__bank", "altvarname" => "bank", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bank_collection", "varname" => "Tables__bank_collection", "altvarname" => "bank_collection", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bank_disbursement", "varname" => "Tables__bank_disbursement", "altvarname" => "bank_disbursement", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "bank_list", "varname" => "Tables__bank_list", "altvarname" => "bank_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "barangay", "varname" => "Tables__barangay", "altvarname" => "barangay", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "basic_system_audit", "varname" => "Tables__basic_system_audit", "altvarname" => "basic_system_audit", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "beg_bal", "varname" => "Tables__beg_bal", "altvarname" => "beg_bal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "beg_baldetail", "varname" => "Tables__beg_baldetail", "altvarname" => "beg_baldetail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "branch_sales", "varname" => "Tables__branch_sales", "altvarname" => "branch_sales", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "branch_sales_detail", "varname" => "Tables__branch_sales_detail", "altvarname" => "branch_sales_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "budget", "varname" => "Tables__budget", "altvarname" => "budget", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "budget_detail", "varname" => "Tables__budget_detail", "altvarname" => "budget_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "business_partner", "varname" => "Tables__business_partner", "altvarname" => "business_partner", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "business_partner_contacts", "varname" => "Tables__business_partner_contacts", "altvarname" => "business_partner_contacts", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "business_partner_group", "varname" => "Tables__business_partner_group", "altvarname" => "business_partner_group", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "calls", "varname" => "Tables__calls", "altvarname" => "calls", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "campaign", "varname" => "Tables__campaign", "altvarname" => "campaign", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "campaign_type", "varname" => "Tables__campaign_type", "altvarname" => "campaign_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "case", "varname" => "Tables__tblcase", "altvarname" => "tblcase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "case_solutions", "varname" => "Tables__case_solutions", "altvarname" => "case_solutions", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "case_type", "varname" => "Tables__case_type", "altvarname" => "case_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_disbursement_detail2", "varname" => "Tables__cash_disbursement_detail2", "altvarname" => "cash_disbursement_detail2", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_disbursment", "varname" => "Tables__cash_disbursment", "altvarname" => "cash_disbursment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_disbursment_detail", "varname" => "Tables__cash_disbursment_detail", "altvarname" => "cash_disbursment_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_pullout", "varname" => "Tables__cash_pullout", "altvarname" => "cash_pullout", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_pullout_detail", "varname" => "Tables__cash_pullout_detail", "altvarname" => "cash_pullout_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_receipt", "varname" => "Tables__cash_receipt", "altvarname" => "cash_receipt", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_receipt_cost_detail", "varname" => "Tables__cash_receipt_cost_detail", "altvarname" => "cash_receipt_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_receipt_detail", "varname" => "Tables__cash_receipt_detail", "altvarname" => "cash_receipt_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cash_receipt_detail2", "varname" => "Tables__cash_receipt_detail2", "altvarname" => "cash_receipt_detail2", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "center_replenishment", "varname" => "Tables__center_replenishment", "altvarname" => "center_replenishment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "center_replenishment_detail", "varname" => "Tables__center_replenishment_detail", "altvarname" => "center_replenishment_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "chart_of_accounts", "varname" => "Tables__chart_of_accounts", "altvarname" => "chart_of_accounts", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "check_book_registry", "varname" => "Tables__check_book_registry", "altvarname" => "check_book_registry", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "check_book_registry_detail", "varname" => "Tables__check_book_registry_detail", "altvarname" => "check_book_registry_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "check_formats", "varname" => "Tables__check_formats", "altvarname" => "check_formats", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "checklist", "varname" => "Tables__checklist", "altvarname" => "checklist", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "city", "varname" => "Tables__city", "altvarname" => "city", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "company_info", "varname" => "Tables__company_info", "altvarname" => "company_info", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "competitor", "varname" => "Tables__competitor", "altvarname" => "competitor", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "cost_center", "varname" => "Tables__cost_center", "altvarname" => "cost_center", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "credit_memo", "varname" => "Tables__credit_memo", "altvarname" => "credit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "credit_memo_detail", "varname" => "Tables__credit_memo_detail", "altvarname" => "credit_memo_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "credit_memo_detail_cgs", "varname" => "Tables__credit_memo_detail_cgs", "altvarname" => "credit_memo_detail_cgs", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "credit_terms", "varname" => "Tables__credit_terms", "altvarname" => "credit_terms", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "currency", "varname" => "Tables__currency", "altvarname" => "currency", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "currency_exchange_rate", "varname" => "Tables__currency_exchange_rate", "altvarname" => "currency_exchange_rate", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "customer_shipping_address", "varname" => "Tables__customer_shipping_address", "altvarname" => "customer_shipping_address", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "debit_memo", "varname" => "Tables__debit_memo", "altvarname" => "debit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "debit_memo_detail", "varname" => "Tables__debit_memo_detail", "altvarname" => "debit_memo_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "demand_plan", "varname" => "Tables__demand_plan", "altvarname" => "demand_plan", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "department", "varname" => "Tables__department", "altvarname" => "department", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "deposit", "varname" => "Tables__deposit", "altvarname" => "deposit", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "deposit_detail", "varname" => "Tables__deposit_detail", "altvarname" => "deposit_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "discounts", "varname" => "Tables__discounts", "altvarname" => "discounts", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "disposed", "varname" => "Tables__disposed", "altvarname" => "disposed", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "disposed_detail", "varname" => "Tables__disposed_detail", "altvarname" => "disposed_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "disposed_inv", "varname" => "Tables__disposed_inv", "altvarname" => "disposed_inv", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "disposed_inv_detail", "varname" => "Tables__disposed_inv_detail", "altvarname" => "disposed_inv_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "document", "varname" => "Tables__document", "altvarname" => "document", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "document_type", "varname" => "Tables__document_type", "altvarname" => "document_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "dr", "varname" => "Tables__dr", "altvarname" => "dr", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "dr_detail", "varname" => "Tables__dr_detail", "altvarname" => "dr_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "email", "varname" => "Tables__email", "altvarname" => "email", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "employees", "varname" => "Tables__employees", "altvarname" => "employees", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "estimate", "varname" => "Tables__estimate", "altvarname" => "estimate", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "estimate_cost", "varname" => "Tables__estimate_cost", "altvarname" => "estimate_cost", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "estimate_detail", "varname" => "Tables__estimate_detail", "altvarname" => "estimate_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "ewt", "varname" => "Tables__ewt", "altvarname" => "ewt", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "excise_tax", "varname" => "Tables__excise_tax", "altvarname" => "excise_tax", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "expense", "varname" => "Tables__expense", "altvarname" => "expense", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "financial_statement", "varname" => "Tables__financial_statement", "altvarname" => "financial_statement", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fiscal_year", "varname" => "Tables__fiscal_year", "altvarname" => "fiscal_year", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_asset_issue", "varname" => "Tables__fixed_asset_issue", "altvarname" => "fixed_asset_issue", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_asset_issue_detail", "varname" => "Tables__fixed_asset_issue_detail", "altvarname" => "fixed_asset_issue_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_asset_return_detail", "varname" => "Tables__fixed_asset_return_detail", "altvarname" => "fixed_asset_return_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_asset_time_usage", "varname" => "Tables__fixed_asset_time_usage", "altvarname" => "fixed_asset_time_usage", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_asset_time_usage_detail", "varname" => "Tables__fixed_asset_time_usage_detail", "altvarname" => "fixed_asset_time_usage_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "fixed_assets_return", "varname" => "Tables__fixed_assets_return", "altvarname" => "fixed_assets_return", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "foodbasket_uggroups", "varname" => "Tables__foodbasket_uggroups", "altvarname" => "foodbasket_uggroups", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "foodbasket_ugmembers", "varname" => "Tables__foodbasket_ugmembers", "altvarname" => "foodbasket_ugmembers", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "foodbasket_ugrights", "varname" => "Tables__foodbasket_ugrights", "altvarname" => "foodbasket_ugrights", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "for_submissions", "varname" => "Tables__for_submissions", "altvarname" => "for_submissions", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "gas_type", "varname" => "Tables__gas_type", "altvarname" => "gas_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "general_journal", "varname" => "Tables__general_journal", "altvarname" => "general_journal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "general_journal_detail", "varname" => "Tables__general_journal_detail", "altvarname" => "general_journal_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "import_inv_adj", "varname" => "Tables__import_inv_adj", "altvarname" => "import_inv_adj", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "import_inventory_transfer", "varname" => "Tables__import_inventory_transfer", "altvarname" => "import_inventory_transfer", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "import_sales", "varname" => "Tables__import_sales", "altvarname" => "import_sales", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "input_vat_allocation", "varname" => "Tables__input_vat_allocation", "altvarname" => "input_vat_allocation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_adj_detail", "varname" => "Tables__inv_adj_detail", "altvarname" => "inv_adj_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_bal", "varname" => "Tables__inv_bal", "altvarname" => "inv_bal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_balance", "varname" => "Tables__inv_balance", "altvarname" => "inv_balance", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_fifo", "varname" => "Tables__inv_fifo", "altvarname" => "inv_fifo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_inv_production_fg", "varname" => "Tables__inv_inv_production_fg", "altvarname" => "inv_inv_production_fg", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_inv_production_rw", "varname" => "Tables__inv_inv_production_rw", "altvarname" => "inv_inv_production_rw", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_inv_purchase", "varname" => "Tables__inv_inv_purchase", "altvarname" => "inv_inv_purchase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inv_ledger", "varname" => "Tables__inv_ledger", "altvarname" => "inv_ledger", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_adj", "varname" => "Tables__inventory_adj", "altvarname" => "inventory_adj", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_adjustment_type", "varname" => "Tables__inventory_adjustment_type", "altvarname" => "inventory_adjustment_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_tranfer", "varname" => "Tables__inventory_tranfer", "altvarname" => "inventory_tranfer", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_tranfer_request", "varname" => "Tables__inventory_tranfer_request", "altvarname" => "inventory_tranfer_request", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_transfer__request_detail", "varname" => "Tables__inventory_transfer__request_detail", "altvarname" => "inventory_transfer__request_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_transfer_cost_detail", "varname" => "Tables__inventory_transfer_cost_detail", "altvarname" => "inventory_transfer_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "inventory_transfer_detail", "varname" => "Tables__inventory_transfer_detail", "altvarname" => "inventory_transfer_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "issue", "varname" => "Tables__issue", "altvarname" => "issue", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "issue_component_imp", "varname" => "Tables__issue_component_imp", "altvarname" => "issue_component_imp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "issue_components", "varname" => "Tables__issue_components", "altvarname" => "issue_components", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "issue_components_detail", "varname" => "Tables__issue_components_detail", "altvarname" => "issue_components_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "issue_detail", "varname" => "Tables__issue_detail", "altvarname" => "issue_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item", "varname" => "Tables__item", "altvarname" => "item", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_bill_of_materials", "varname" => "Tables__item_bill_of_materials", "altvarname" => "item_bill_of_materials", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_bom_type", "varname" => "Tables__item_bom_type", "altvarname" => "item_bom_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_cost_center_detail", "varname" => "Tables__item_cost_center_detail", "altvarname" => "item_cost_center_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_cost_recalculation", "varname" => "Tables__item_cost_recalculation", "altvarname" => "item_cost_recalculation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_expiration", "varname" => "Tables__item_expiration", "altvarname" => "item_expiration", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_group", "varname" => "Tables__item_group", "altvarname" => "item_group", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_group_price_per_category", "varname" => "Tables__item_group_price_per_category", "altvarname" => "item_group_price_per_category", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_price_per_category", "varname" => "Tables__item_price_per_category", "altvarname" => "item_price_per_category", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_production_phase", "varname" => "Tables__item_production_phase", "altvarname" => "item_production_phase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "item_uom_conversion", "varname" => "Tables__item_uom_conversion", "altvarname" => "item_uom_conversion", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_cash_disbursement", "varname" => "Tables__journal_entry_cash_disbursement", "altvarname" => "journal_entry_cash_disbursement", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_cash_receipt", "varname" => "Tables__journal_entry_cash_receipt", "altvarname" => "journal_entry_cash_receipt", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_center_replenishment", "varname" => "Tables__journal_entry_center_replenishment", "altvarname" => "journal_entry_center_replenishment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_credit_memo", "varname" => "Tables__journal_entry_credit_memo", "altvarname" => "journal_entry_credit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_debit_memo", "varname" => "Tables__journal_entry_debit_memo", "altvarname" => "journal_entry_debit_memo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_deposit", "varname" => "Tables__journal_entry_deposit", "altvarname" => "journal_entry_deposit", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_depreciation", "varname" => "Tables__journal_entry_depreciation", "altvarname" => "journal_entry_depreciation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_general_journal", "varname" => "Tables__journal_entry_general_journal", "altvarname" => "journal_entry_general_journal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_inv_transfer", "varname" => "Tables__journal_entry_inv_transfer", "altvarname" => "journal_entry_inv_transfer", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_inventory_adjustment", "varname" => "Tables__journal_entry_inventory_adjustment", "altvarname" => "journal_entry_inventory_adjustment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_production", "varname" => "Tables__journal_entry_production", "altvarname" => "journal_entry_production", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_project_replenishment", "varname" => "Tables__journal_entry_project_replenishment", "altvarname" => "journal_entry_project_replenishment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_purchases", "varname" => "Tables__journal_entry_purchases", "altvarname" => "journal_entry_purchases", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_replenishment", "varname" => "Tables__journal_entry_replenishment", "altvarname" => "journal_entry_replenishment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_sales", "varname" => "Tables__journal_entry_sales", "altvarname" => "journal_entry_sales", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_entry_service_revenue", "varname" => "Tables__journal_entry_service_revenue", "altvarname" => "journal_entry_service_revenue", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "journal_ppe_disposal", "varname" => "Tables__journal_ppe_disposal", "altvarname" => "journal_ppe_disposal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "liquidation", "varname" => "Tables__liquidation", "altvarname" => "liquidation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "liquidation_detail", "varname" => "Tables__liquidation_detail", "altvarname" => "liquidation_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "loan", "varname" => "Tables__loan", "altvarname" => "loan", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "loan__detail", "varname" => "Tables__loan__detail", "altvarname" => "loan__detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "location", "varname" => "Tables__location", "altvarname" => "location", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "lot", "varname" => "Tables__lot", "altvarname" => "lot", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "loyalty_points", "varname" => "Tables__loyalty_points", "altvarname" => "loyalty_points", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "marketing_colateral", "varname" => "Tables__marketing_colateral", "altvarname" => "marketing_colateral", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "marketing_job_order", "varname" => "Tables__marketing_job_order", "altvarname" => "marketing_job_order", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "marketing_request_form", "varname" => "Tables__marketing_request_form", "altvarname" => "marketing_request_form", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "meetings", "varname" => "Tables__meetings", "altvarname" => "meetings", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "memorized_transactions", "varname" => "Tables__memorized_transactions", "altvarname" => "memorized_transactions", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "month_values", "varname" => "Tables__month_values", "altvarname" => "month_values", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "new_ticket", "varname" => "Tables__new_ticket", "altvarname" => "new_ticket", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "new_user", "varname" => "Tables__new_user", "altvarname" => "new_user", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_backload", "varname" => "Tables__open_backload", "altvarname" => "open_backload", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_dr_for_invoice", "varname" => "Tables__open_dr_for_invoice", "altvarname" => "open_dr_for_invoice", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_estimates", "varname" => "Tables__open_estimates", "altvarname" => "open_estimates", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_po", "varname" => "Tables__open_po", "altvarname" => "open_po", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_pr", "varname" => "Tables__open_pr", "altvarname" => "open_pr", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_production_request", "varname" => "Tables__open_production_request", "altvarname" => "open_production_request", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_qc", "varname" => "Tables__open_qc", "altvarname" => "open_qc", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_quote", "varname" => "Tables__open_quote", "altvarname" => "open_quote", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_receiving", "varname" => "Tables__open_receiving", "altvarname" => "open_receiving", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_request_for_payment", "varname" => "Tables__open_request_for_payment", "altvarname" => "open_request_for_payment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_rfp_to_apv", "varname" => "Tables__open_rfp_to_apv", "altvarname" => "open_rfp_to_apv", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_so", "varname" => "Tables__open_so", "altvarname" => "open_so", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_so_for_invoice", "varname" => "Tables__open_so_for_invoice", "altvarname" => "open_so_for_invoice", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "open_so_for_project_management", "varname" => "Tables__open_so_for_project_management", "altvarname" => "open_so_for_project_management", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "opportunity", "varname" => "Tables__opportunity", "altvarname" => "opportunity", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "origin_fa", "varname" => "Tables__origin_fa", "altvarname" => "origin_fa", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "origin_serialized_supply", "varname" => "Tables__origin_serialized_supply", "altvarname" => "origin_serialized_supply", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "packing_list", "varname" => "Tables__packing_list", "altvarname" => "packing_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "packing_list_detail", "varname" => "Tables__packing_list_detail", "altvarname" => "packing_list_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "payment_method", "varname" => "Tables__payment_method", "altvarname" => "payment_method", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "payroll_item", "varname" => "Tables__payroll_item", "altvarname" => "payroll_item", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "pdc_registry", "varname" => "Tables__pdc_registry", "altvarname" => "pdc_registry", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "pending_items_reminders", "varname" => "Tables__pending_items_reminders", "altvarname" => "pending_items_reminders", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "petty_cash", "varname" => "Tables__petty_cash", "altvarname" => "petty_cash", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "petty_cash_detail", "varname" => "Tables__petty_cash_detail", "altvarname" => "petty_cash_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "phase", "varname" => "Tables__phase", "altvarname" => "phase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "phase_bill_of_materials", "varname" => "Tables__phase_bill_of_materials", "altvarname" => "phase_bill_of_materials", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "phase_billing", "varname" => "Tables__phase_billing", "altvarname" => "phase_billing", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "picklist", "varname" => "Tables__picklist", "altvarname" => "picklist", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "picklist_detail", "varname" => "Tables__picklist_detail", "altvarname" => "picklist_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "picklist_detail_done", "varname" => "Tables__picklist_detail_done", "altvarname" => "picklist_detail_done", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "position", "varname" => "Tables__position", "altvarname" => "position", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "ppe_list", "varname" => "Tables__ppe_list", "altvarname" => "ppe_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "process_payroll", "varname" => "Tables__process_payroll", "altvarname" => "process_payroll", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "process_payroll_detail", "varname" => "Tables__process_payroll_detail", "altvarname" => "process_payroll_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "prod_vs_purchase", "varname" => "Tables__prod_vs_purchase", "altvarname" => "prod_vs_purchase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production", "varname" => "Tables__production", "altvarname" => "production", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production _imp", "varname" => "Tables__production__imp", "altvarname" => "production__imp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_bill_of_material", "varname" => "Tables__production_bill_of_material", "altvarname" => "production_bill_of_material", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_bom", "varname" => "Tables__production_bom", "altvarname" => "production_bom", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_cost_detail", "varname" => "Tables__production_cost_detail", "altvarname" => "production_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_detail", "varname" => "Tables__production_detail", "altvarname" => "production_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_form", "varname" => "Tables__production_form", "altvarname" => "production_form", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_itemized_detail", "varname" => "Tables__production_itemized_detail", "altvarname" => "production_itemized_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_request", "varname" => "Tables__production_request", "altvarname" => "production_request", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_request_bom", "varname" => "Tables__production_request_bom", "altvarname" => "production_request_bom", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_request_detail", "varname" => "Tables__production_request_detail", "altvarname" => "production_request_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_stage_cost_detail", "varname" => "Tables__production_stage_cost_detail", "altvarname" => "production_stage_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_stage_status_cost_detail", "varname" => "Tables__production_stage_status_cost_detail", "altvarname" => "production_stage_status_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "production_stage_status_detail", "varname" => "Tables__production_stage_status_detail", "altvarname" => "production_stage_status_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "project_bill_of_material", "varname" => "Tables__project_bill_of_material", "altvarname" => "project_bill_of_material", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "project_progress_billing", "varname" => "Tables__project_progress_billing", "altvarname" => "project_progress_billing", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "project_replenishment", "varname" => "Tables__project_replenishment", "altvarname" => "project_replenishment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "project_replenishment_detail", "varname" => "Tables__project_replenishment_detail", "altvarname" => "project_replenishment_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "projects", "varname" => "Tables__projects", "altvarname" => "projects", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "province", "varname" => "Tables__province", "altvarname" => "province", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase", "varname" => "Tables__purchase", "altvarname" => "purchase", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_detail", "varname" => "Tables__purchase_detail", "altvarname" => "purchase_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_order", "varname" => "Tables__purchase_order", "altvarname" => "purchase_order", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_order_detail", "varname" => "Tables__purchase_order_detail", "altvarname" => "purchase_order_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_order_receiving", "varname" => "Tables__purchase_order_receiving", "altvarname" => "purchase_order_receiving", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_order_receiving_detail", "varname" => "Tables__purchase_order_receiving_detail", "altvarname" => "purchase_order_receiving_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_report_per_item", "varname" => "Tables__purchase_report_per_item", "altvarname" => "purchase_report_per_item", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_request", "varname" => "Tables__purchase_request", "altvarname" => "purchase_request", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "purchase_request_detail", "varname" => "Tables__purchase_request_detail", "altvarname" => "purchase_request_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "qc_inspection", "varname" => "Tables__qc_inspection", "altvarname" => "qc_inspection", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "quality_control", "varname" => "Tables__quality_control", "altvarname" => "quality_control", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "quality_control_detail", "varname" => "Tables__quality_control_detail", "altvarname" => "quality_control_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "quotation", "varname" => "Tables__quotation", "altvarname" => "quotation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "quotation_detail", "varname" => "Tables__quotation_detail", "altvarname" => "quotation_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "rdo", "varname" => "Tables__rdo", "altvarname" => "rdo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "region", "varname" => "Tables__region", "altvarname" => "region", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "reimbursement", "varname" => "Tables__reimbursement", "altvarname" => "reimbursement", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "reimbursement_detail", "varname" => "Tables__reimbursement_detail", "altvarname" => "reimbursement_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "repair_list", "varname" => "Tables__repair_list", "altvarname" => "repair_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "repairs_and_maintenance", "varname" => "Tables__repairs_and_maintenance", "altvarname" => "repairs_and_maintenance", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "repairs_and_maintenance_detail", "varname" => "Tables__repairs_and_maintenance_detail", "altvarname" => "repairs_and_maintenance_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "repairs_particular", "varname" => "Tables__repairs_particular", "altvarname" => "repairs_particular", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "report_center", "varname" => "Tables__report_center", "altvarname" => "report_center", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "request_for_payment", "varname" => "Tables__request_for_payment", "altvarname" => "request_for_payment", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "request_for_payment_detail", "varname" => "Tables__request_for_payment_detail", "altvarname" => "request_for_payment_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "request_for_payment_imp", "varname" => "Tables__request_for_payment_imp", "altvarname" => "request_for_payment_imp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "request_for_quote", "varname" => "Tables__request_for_quote", "altvarname" => "request_for_quote", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "request_for_quoter_detail", "varname" => "Tables__request_for_quoter_detail", "altvarname" => "request_for_quoter_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "return", "varname" => "Tables__tblreturn", "altvarname" => "tblreturn", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "return_components", "varname" => "Tables__return_components", "altvarname" => "return_components", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "return_components_detail", "varname" => "Tables__return_components_detail", "altvarname" => "return_components_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "return_detail", "varname" => "Tables__return_detail", "altvarname" => "return_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "rfp", "varname" => "Tables__rfp", "altvarname" => "rfp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sale_assemble_detail", "varname" => "Tables__sale_assemble_detail", "altvarname" => "sale_assemble_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sale_cost_detail", "varname" => "Tables__sale_cost_detail", "altvarname" => "sale_cost_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales", "varname" => "Tables__sales", "altvarname" => "sales", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_detail", "varname" => "Tables__sales_detail", "altvarname" => "sales_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_order", "varname" => "Tables__sales_order", "altvarname" => "sales_order", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_order_detail", "varname" => "Tables__sales_order_detail", "altvarname" => "sales_order_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_order_detail_billing_dates", "varname" => "Tables__sales_order_detail_billing_dates", "altvarname" => "sales_order_detail_billing_dates", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_order_materials_detail", "varname" => "Tables__sales_order_materials_detail", "altvarname" => "sales_order_materials_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_order_progress_billing_detail", "varname" => "Tables__sales_order_progress_billing_detail", "altvarname" => "sales_order_progress_billing_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sales_report_per_item", "varname" => "Tables__sales_report_per_item", "altvarname" => "sales_report_per_item", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "salesapp", "varname" => "Tables__salesapp", "altvarname" => "salesapp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "search_beg_bal", "varname" => "Tables__search_beg_bal", "altvarname" => "search_beg_bal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "search_cash_disbursement", "varname" => "Tables__search_cash_disbursement", "altvarname" => "search_cash_disbursement", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "search_cash_receipt", "varname" => "Tables__search_cash_receipt", "altvarname" => "search_cash_receipt", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "search_general_journal", "varname" => "Tables__search_general_journal", "altvarname" => "search_general_journal", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "search_purchase_detail", "varname" => "Tables__search_purchase_detail", "altvarname" => "search_purchase_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "serial_no", "varname" => "Tables__serial_no", "altvarname" => "serial_no", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "serialized_supply_list", "varname" => "Tables__serialized_supply_list", "altvarname" => "serialized_supply_list", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "service_center", "varname" => "Tables__service_center", "altvarname" => "service_center", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "service_report", "varname" => "Tables__service_report", "altvarname" => "service_report", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "service_report_detail", "varname" => "Tables__service_report_detail", "altvarname" => "service_report_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "service_visit", "varname" => "Tables__service_visit", "altvarname" => "service_visit", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "shipping_terms", "varname" => "Tables__shipping_terms", "altvarname" => "shipping_terms", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "so_imp", "varname" => "Tables__so_imp", "altvarname" => "so_imp", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "spoilage", "varname" => "Tables__spoilage", "altvarname" => "spoilage", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "spoilage_detail", "varname" => "Tables__spoilage_detail", "altvarname" => "spoilage_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "spoilage_detail2", "varname" => "Tables__spoilage_detail2", "altvarname" => "spoilage_detail2", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "stage", "varname" => "Tables__stage", "altvarname" => "stage", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "submission_details", "varname" => "Tables__submission_details", "altvarname" => "submission_details", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sum_cr", "varname" => "Tables__sum_cr", "altvarname" => "sum_cr", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sum_creditmemo", "varname" => "Tables__sum_creditmemo", "altvarname" => "sum_creditmemo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sum_cvoucher", "varname" => "Tables__sum_cvoucher", "altvarname" => "sum_cvoucher", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sum_debitmemo", "varname" => "Tables__sum_debitmemo", "altvarname" => "sum_debitmemo", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "sum_dr_qty", "varname" => "Tables__sum_dr_qty", "altvarname" => "sum_dr_qty", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "system_user", "varname" => "Tables__system_user", "altvarname" => "system_user", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tara_sheet", "varname" => "Tables__tara_sheet", "altvarname" => "tara_sheet", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tara_sheet_detail", "varname" => "Tables__tara_sheet_detail", "altvarname" => "tara_sheet_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tasks", "varname" => "Tables__tasks", "altvarname" => "tasks", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tax_person_status", "varname" => "Tables__tax_person_status", "altvarname" => "tax_person_status", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tax_status", "varname" => "Tables__tax_status", "altvarname" => "tax_status", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tbtransact", "varname" => "Tables__tbtransact", "altvarname" => "tbtransact", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "telex", "varname" => "Tables__telex", "altvarname" => "telex", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "tranasactions_for_approval", "varname" => "Tables__tranasactions_for_approval", "altvarname" => "tranasactions_for_approval", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "transmittal_slip", "varname" => "Tables__transmittal_slip", "altvarname" => "transmittal_slip", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "transmittal_slip_detail", "varname" => "Tables__transmittal_slip_detail", "altvarname" => "transmittal_slip_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "trip_detail", "varname" => "Tables__trip_detail", "altvarname" => "trip_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "trip_ticket", "varname" => "Tables__trip_ticket", "altvarname" => "trip_ticket", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "uom", "varname" => "Tables__uom", "altvarname" => "uom", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "user_roles", "varname" => "Tables__user_roles", "altvarname" => "user_roles", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vat_atc", "varname" => "Tables__vat_atc", "altvarname" => "vat_atc", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vat_relief_importation", "varname" => "Tables__vat_relief_importation", "altvarname" => "vat_relief_importation", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vat_relief_purchases", "varname" => "Tables__vat_relief_purchases", "altvarname" => "vat_relief_purchases", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vat_relief_sales", "varname" => "Tables__vat_relief_sales", "altvarname" => "vat_relief_sales", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vat_type", "varname" => "Tables__vat_type", "altvarname" => "vat_type", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "vehicle", "varname" => "Tables__vehicle", "altvarname" => "vehicle", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "waranty_detail", "varname" => "Tables__waranty_detail", "altvarname" => "waranty_detail", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
		$this->lstTables[] = array("name" => "years", "varname" => "Tables__years", "altvarname" => "years", "connId" => "Tables", "schema" => "", "connName" => "nboxsy5_erp_foodbasket at localhost");
	}

	/**
      * Returns table object by table name.
      * @intellisense
      */
	function & Table($strTable, $schema = "", $connName = "")
	{
		$this->FillTablesList();
		foreach($this->lstTables as $tbl)
		{
			if(strtoupper($strTable)==strtoupper($tbl["name"]) &&
				( $schema == "" || strtoupper($schema) == strtoupper($tbl["schema"]) ) &&
				($connName == "" || strtoupper($connName) == strtoupper($tbl["connName"]) ) )
			{
				$this->CreateClass($tbl);
				return $this->{"tbl".$tbl["varname"]};
			}
		}
//	check table names without dbo. and other prefixes
		foreach($this->lstTables as $tbl)
		{
			if(strtoupper(cutprefix($strTable))==strtoupper(cutprefix($tbl["name"])))
			{
				$this->CreateClass($tbl);
				return $this->{"tbl".$tbl["varname"]};
			}
		}
		$dummy=null;
		return $dummy;
	}
	
	function CreateClass(&$tbl)
	{
		if($this->{"tbl".$tbl["varname"]})
			return;
//	load table info
		global $dal_info;
		include(getabspath("include/dal/".($tbl["varname"]).".php"));
//	create class and object

		$classname="class_".$tbl["varname"];
		$str = "class ".$classname." extends tDALTable  {";
		foreach($dal_info[$tbl["varname"]] as $fld)
		{
			$str.=' var $'.$fld["varname"].'; ';
		}
		
		$tableName = $tbl["name"];
		if( $tbl["schema"] )
			$tableName = $tbl["schema"] . "." . $tbl["name"];
		$str.=' function __construct()
			{
				$this->m_TableName = \''.escapesq( $tableName ).'\';
				$this->infoKey = \'' . $tbl["varname"] . '\';
				$this->setConnection(\''. $tbl["connId"] .'\');
			}
		};';
		eval($str);
		$this->{"tbl".$tbl["varname"]} = new $classname;
		$this->{$tbl["altvarname"]} = $this->{"tbl".$tbl["varname"]};
		$this->Table[$tbl["name"]]=&$this->{"tbl".$tbl["varname"]};
	}
	
	/**
      * Returns list of table names.
      * @intellisense
      */
	function GetTablesList()
	{
		$this->FillTablesList();
		$res=array();
		foreach($this->lstTables as $tbl)
			$res[]=$tbl["name"];
		return $res;
	}
	
	/**
      * Get list of table fields by table name.
      * @intellisense
      */
	function GetFieldsList($table)
	{
		$tbl = $this->Table($table);
		return $tbl->GetFieldsList();
	}
	
	/**
      * Get field type by table name and field name.
      * @intellisense
      */
	function GetFieldType($table,$field)
	{
		$tbl = $this->Table($table);
		return $tbl->GetFieldType($field);
	}

	/**
      * Get table key fields by table name.
      * @intellisense
      */
	function GetDBTableKeys($table)
	{
		$tbl = $this->Table($table);
		return $tbl->GetDBTableKeys();
	}
}

$dal = new tDAL;

/**
 * Data Access Layer table class.
 */ 
class tDALTable
{
	var $m_TableName;
	var $infoKey;
	var $Param = array();
	var $Value = array();
	/**
	 * @type Connection
	 */
	var $_connection;
	
	/**
	 * Set the connection property
	 * @param String connId
	 */
	function setConnection( $connId )
	{
		global $cman;
		$this->_connection = $cman->byId( $connId );
	}
	
	/**
      * Get table key fields.
      * @intellisense
      */
	function GetDBTableKeys()
	{
		global $dal_info;
		if( !array_key_exists($this->infoKey, $dal_info) || !is_array($dal_info[ $this->infoKey ]) )
			return array();
		
		$ret = array();
		foreach($dal_info[ $this->infoKey ] as $fname=>$f)
		{
			if( @$f["key"] )
				$ret[] = $fname;
		}
		return $ret;
	}
	
	/**
      * Get list of table fields.
      * @intellisense
      */
	function GetFieldsList()
	{
		global $dal_info;
		return array_keys( $dal_info[ $this->infoKey ] );
	}

	/**
      * Get field type.
      * @intellisense
      */
	function GetFieldType($field)
	{
		global $dal_info;
		
		if( !array_key_exists( $field, $dal_info[ $this->infoKey ]) )
			return 200;
			
		return $dal_info[ $this->infoKey ][ $field ]["type"];
	}
	
	/**
	 *
	 */
	function PrepareValue($value, $type)
	{
		if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
		{
			if( IsBinaryType($type) )
			{
				if( $this->_connection->dbType == nDATABASE_Oracle )
					return "EMPTY_BLOB()";
					
				return "?";
			}
			
			if( $this->_connection->dbType == nDATABASE_Informix  && IsTextType($type) )
				return "?";
		}
	
		if( IsDateFieldType($type) )
		{
			if( !$value )
				return "null";
			else
				$this->_connection->addDateQuotes( $value );
		}
		
		if( NeedQuotes($type) )
			return $this->_connection->prepareString( $value );

		return 0 + $value;
	}
	
	/**
      * Get table name.
      * @intellisense
      */
	function TableName()
	{
		return $this->_connection->addTableWrappers( $this->m_TableName );
	} 

	/**
	 * @param Array blobs
	 * @param String dalSQL
	 * @param Array tableinfo
	 */
	protected function Execute_Query($blobs, $dalSQL, $tableinfo)
	{		
		$blobTypes = array();
		if( $this->_connection->dbType == nDATABASE_Informix )
		{		
			foreach( $blobs as $fname => $fvalue )
			{
				$blobTypes[ $fname ] = $tableinfo[ $fname ]["type"];
			}
		}

		$this->_connection->execWithBlobProcessing( $dalSQL, $blobs, $blobTypes );
	}

	/**
      * Add new record to the table.
      * @intellisense
      */
	function Add() 
	{
		global $dal_info;
		
		$insertFields = "";
		$insertValues = "";
		$tableinfo = &$dal_info[ $this->infoKey ];
		$blobs = array();
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			if( isset($this->{$fld['varname']}) )
			{
				$this->Value[ $fieldname ] = $this->{$fld['varname']};
			}
			
			foreach($this->Value as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$insertFields.= $this->_connection->addFieldWrappers( $fieldname ).",";
				$insertValues.= $this->PrepareValue($value,$fld["type"]) . ",";
				
				if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
				{
					if( IsBinaryType( $fld["type"] ) )
						$blobs[ $fieldname ] = $value;
						
					if( $this->_connection->dbType == nDATABASE_Informix && IsTextType( $fld["type"] ) )
						$blobs[ $fieldname ] = $value;
				}
				break;
			}
		}
		//	prepare and exec SQL
		if( $insertFields != "" && $insertValues != "" )		
		{
			$insertFields = substr($insertFields, 0, -1);
			$insertValues = substr($insertValues, 0, -1);
			$dalSQL = "insert into ".$this->_connection->addTableWrappers( $this->m_TableName )." (".$insertFields.") values (".$insertValues.")";
			$this->Execute_Query($blobs, $dalSQL, $tableinfo);
		}
		//	cleanup		
	    $this->Reset();
	}

	/**
      * Query all records from the table.
      * @intellisense
      */
	function QueryAll()
	{
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName );
		return $this->_connection->query( $dalSQL );
	}

	/**
      * Do a custom query on the table.
      * @intellisense
      */
	function Query($swhere = "", $orderby = "")
	{
		if ($swhere)
			$swhere = " where ".$swhere;
			
		if ($orderby)
			$orderby = " order by ".$orderby;
			
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName ).$swhere.$orderby;
		return $this->_connection->query( $dalSQL );
	}

	/**
      * Delete a record from the table.
      * @intellisense
      */
	function Delete()
	{
		global $dal_info;
		
		$deleteFields = "";
		$tableinfo = &$dal_info[ $this->infoKey ];
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			if( isset($this->{$fld['varname']}) )
			{
				$this->Param[ $fieldname ] = $this->{$fld['varname']};
			}
			
			foreach($this->Param as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$deleteFields.= $this->_connection->addFieldWrappers( $fieldname )."=". $this->PrepareValue($value, $fld["type"]) . " and ";
				break;
			}
		}
		//	do delete
		if ($deleteFields)
		{
			$deleteFields = substr($deleteFields, 0, -5);
			$dalSQL = "delete from ".$this->_connection->addTableWrappers( $this->m_TableName )." where ".$deleteFields;
			$this->_connection->exec( $dalSQL );
		}
	
		//	cleanup
	    $this->Reset();
	}

	/**
      * Reset table object.
      * @intellisense
      */
	function Reset()
	{
		global $dal_info;
		
		$this->Value = array();
		$this->Param = array();
		
		$tableinfo = &$dal_info[ $this->infoKey ];
		//	prepare parameters		
		foreach($tableinfo as $fieldname => $fld)
		{
			unset($this->{$fld["varname"]});
		}
	}	

	/**
      * Update record in the table.
      * @intellisense
      */
	function Update()
	{
		global $dal_info;
		
		$tableinfo = &$dal_info[ $this->infoKey ];
		$updateParam = "";
		$updateValue = "";
		$blobs = array();

		foreach($tableinfo as $fieldname => $fld)
		{
			$command = 'if(isset($this->'.$fld['varname'].')) { ';
			if( $fld["key"] )
				$command.= '$this->Param[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			else
				$command.= '$this->Value[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			$command.= ' }';
			
			eval($command);
			
			if( !$fld["key"] && !array_key_exists( strtoupper($fieldname), array_change_key_case($this->Param, CASE_UPPER) ) )
			{
				foreach($this->Value as $field => $value)
				{
					if( strtoupper($field) != strtoupper($fieldname) )
						continue;
						
					$updateValue.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . ", ";
					
					if( $this->_connection->dbType == nDATABASE_Oracle || $this->_connection->dbType == nDATABASE_DB2 || $this->_connection->dbType == nDATABASE_Informix )
					{
						if( IsBinaryType( $fld["type"] ) )
							$blobs[ $fieldname ] = $value;
							
						if( $this->_connection->dbType == nDATABASE_Informix && IsTextType( $fld["type"] ) )	
							$blobs[ $fieldname ] = $value;		
					}
					break;
				}
			}
			else
			{
				foreach($this->Param as $field=>$value)
				{
					if( strtoupper($field) != strtoupper($fieldname) )
						continue;
						
					$updateParam.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . " and ";
					break;
				}
			}
		}

		//	construct SQL and do update	
		if ($updateParam)
			$updateParam = substr($updateParam, 0, -5);
		if ($updateValue)
			$updateValue = substr($updateValue, 0, -2);
			
		if ($updateValue && $updateParam)
		{
			$dalSQL = "update ".$this->_connection->addTableWrappers( $this->m_TableName )." set ".$updateValue." where ".$updateParam;
			$this->Execute_Query($blobs, $dalSQL, $tableinfo);
		}

		//	cleanup
		$this->Reset();
	}
	
	/**
	 * Select one or more records matching the condition
	 */
	function FetchByID()
	{
		global $dal_info;
		$tableinfo = &$dal_info[ $this->infoKey ];

		$dal_where = "";
		foreach($tableinfo as $fieldname => $fld)
		{
			$command = 'if(isset($this->'.$fld['varname'].')) { ';
			$command.= '$this->Value[\''.escapesq($fieldname).'\'] = $this->'.$fld['varname'].';';
			$command.= ' }';
			
			eval($command);
			
			foreach($this->Param as $field => $value)
			{
				if( strtoupper($field) != strtoupper($fieldname) )
					continue;
					
				$dal_where.= $this->_connection->addFieldWrappers( $fieldname )."=".$this->PrepareValue($value, $fld["type"]) . " and ";
				break;
			}
		}
		// cleanup
		$this->Reset();
		// construct and run SQL
		if ($dal_where)
			$dal_where = " where ".substr($dal_where, 0, -5);
			
		$dalSQL = "select * from ".$this->_connection->addTableWrappers( $this->m_TableName ).$dal_where;
		return $this->_connection->query( $dalSQL );
	}
}

function cutprefix($table)
{
	$pos = strpos($table,".");
	if( $pos === false )
		return $table;
		
	return substr($table, $pos + 1);
}

function escapesq($str)
{
	return str_replace(array("\\","'"),array("\\\\","\\'"),$str);
}

?>